%define name iozone
%define version 3.217
%define release 1mdk

Summary: Filesystem characterization & benchmark tool.
Name: %{name}
Version: %{version}
Release: %{release}
License: Public Domain
Group: Monitoring
Source: %{name}-%{version}.tar.bz2
Patch0:	%name-errno.patch.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
URL: http://www.iozone.org/

%description
This program allows one to characterize the filesystem performance
of vendors platform. It supports single stream, throughput, 
pthreads, async I/O and much more.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch0 -p1

%build
cd src/current
make linux 

%install
cd $RPM_BUILD_DIR/%name-%version/src/current/
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 iozone $RPM_BUILD_ROOT%{_bindir}

cd $RPM_BUILD_DIR/%name-%version/docs
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 iozone.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (0644,root,root,755) 
%doc docs/*.gz
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jan 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.217-1mdk
- 3.217

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.207-1mdk
- 3.207

* Tue Jul 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.196-1mdk
- 3.196

* Thu Jul 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.191-1mdk
- 3.191

* Tue Jun 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.185-1mdk
- 3.185

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.172-1mdk
- 3.172

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.167-1mdk
- 3.167

* Tue Feb 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.154-1mdk
- 3.154
- patch0 : add missing errno include
- add missing clean section

* Wed Nov 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.138-1mdk
- 3.138

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.115-1mdk
- 3.115

* Mon Jun 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.109-1mdk
- 3.109

* Fri May 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.94-1mdk
- 3.94

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.83-1mdk
- 3.83

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.74-1mdk
- 3.74

* Fri Nov 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.71-1mdk
- 3.71

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.67-1mdk
- 3.67

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.56-1mdk
- updated to 3.56

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.48-1mdk
- updated 3.48
- fix location of files

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.15-3mdk
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.15-2mdk
- fix group

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build


